From b85ac2bc618e4ead803b71845e47ad6c0cd4c266 Mon Sep 17 00:00:00 2001
From: Zhang Mingli <avamingli@gmail.com>
Date: Tue, 4 Oct 2022 16:57:46 +0800
Subject: [PATCH v2] replace fabs with fabsf if possible

---
 src/backend/utils/adt/float.c      | 2 +-
 src/backend/utils/adt/formatting.c | 2 +-
 src/backend/utils/adt/selfuncs.c   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/utils/adt/float.c b/src/backend/utils/adt/float.c
index fc8f39a7a9..da97538ebe 100644
--- a/src/backend/utils/adt/float.c
+++ b/src/backend/utils/adt/float.c
@@ -593,7 +593,7 @@ float4abs(PG_FUNCTION_ARGS)
 {
 	float4		arg1 = PG_GETARG_FLOAT4(0);
 
-	PG_RETURN_FLOAT4((float4) fabs(arg1));
+	PG_RETURN_FLOAT4(fabsf(arg1));
 }
 
 /*
diff --git a/src/backend/utils/adt/formatting.c b/src/backend/utils/adt/formatting.c
index 26f498b5df..77c8f8e6fa 100644
--- a/src/backend/utils/adt/formatting.c
+++ b/src/backend/utils/adt/formatting.c
@@ -6569,7 +6569,7 @@ float4_to_char(PG_FUNCTION_ARGS)
 			Num.pre += Num.multi;
 		}
 
-		orgnum = psprintf("%.0f", fabs(val));
+		orgnum = psprintf("%.0f", fabsf(val));
 		numstr_pre_len = strlen(orgnum);
 
 		/* adjust post digits to fit max float digits */
diff --git a/src/backend/utils/adt/selfuncs.c b/src/backend/utils/adt/selfuncs.c
index 69e0fb98f5..4fa5d67a9a 100644
--- a/src/backend/utils/adt/selfuncs.c
+++ b/src/backend/utils/adt/selfuncs.c
@@ -7835,7 +7835,7 @@ brincostestimate(PlannerInfo *root, IndexPath *path, double loop_count,
 				double		varCorrelation = 0.0;
 
 				if (sslot.nnumbers > 0)
-					varCorrelation = fabs(sslot.numbers[0]);
+					varCorrelation = fabsf(sslot.numbers[0]);
 
 				if (varCorrelation > *indexCorrelation)
 					*indexCorrelation = varCorrelation;
-- 
2.34.1

